/******************************************************************************\
 gnofin/dialog-question.c   $Revision: 1.2 $
 Copyright (C) 1999-2000 Darin Fisher

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
\******************************************************************************/

#include "common.h"
#include <libgnomeui/gnome-dialog.h>
#include <libgnomeui/gnome-messagebox.h>
#include <libgnomeui/gnome-stock.h>
#include "dialogs.h"

gint
dialog_question_yes_no (GtkWindow   *parent,
			const gchar *message)
{
  GnomeDialog *dialog;

  trace("");

  dialog = GNOME_DIALOG (gnome_message_box_new (message,
					        GNOME_MESSAGE_BOX_QUESTION,
					        GNOME_STOCK_BUTTON_YES,
					        GNOME_STOCK_BUTTON_NO,
					        NULL));
  
  if (parent)
    gnome_dialog_set_parent (dialog, parent);

  gnome_dialog_set_default (dialog, 0);
  return gnome_dialog_run_and_close (dialog);
}

gint
dialog_question_yes_no_cancel (GtkWindow   *parent,
			       const gchar *message)
{
  GnomeDialog *dialog;

  trace("");

  dialog = GNOME_DIALOG (gnome_message_box_new (message,
					        GNOME_MESSAGE_BOX_QUESTION,
					        GNOME_STOCK_BUTTON_YES,
					        GNOME_STOCK_BUTTON_NO,
					        GNOME_STOCK_BUTTON_CANCEL,
					        NULL));
  
  if (parent)
    gnome_dialog_set_parent (dialog, parent);

  gnome_dialog_set_default (dialog, 0);
  return gnome_dialog_run_and_close (dialog);
}
