/******************************************************************************\
 gnofin/money.h   $Revision: 1.2 $
 Copyright (C) 1999-2000 Darin Fisher

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
\******************************************************************************/

#ifndef MONEY_H
#define MONEY_H

#include <stdlib.h>

GNOFIN_API_BEGIN

typedef long money_t;

#define money_sign(amount)  ((amount) < 0 ? -1 : +1)
#define money_abs(amount)   (labs (amount))
#define money_major(amount) (labs (amount) / 100)
#define money_minor(amount) (labs (amount) % 100)

gchar   *money_stringize (gchar *buf, int maxlen, money_t amount);
gboolean money_parse     (const gchar *buf, money_t *amount);
gint     money_compare   (money_t a, money_t b);

GNOFIN_API_END

#endif

// vim: ts=8 sw=2
