/******************************************************************************\
 gnofin/ui-menubar.h   $Revision: 1.4 $
 Copyright (C) 1999-2000 Darin Fisher

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
\******************************************************************************/

#ifndef UI_MENUBAR_H
#define UI_MENUBAR_H

#include "ui-types.h"

struct _UI_Menubar
{
  UI        *ui;
  GtkWidget *file_save;
  GtkWidget *file_save_as;
  GtkWidget *file_imports;
  GtkWidget *file_exports;
  GtkWidget *file_mru;
  GtkWidget *edit_undo;
  GtkWidget *edit_redo;
  GtkWidget *edit_toggle_status;
  GtkWidget *edit_delete;
  GtkWidget *account_delete;
  GtkWidget *account_props;
  guint      imp_stamp;
  guint      exp_stamp;
  guint      mru_stamp;
};

UI_Menubar *ui_menubar_create (UI *);

void ui_menubar_enable_save        (UI_Menubar *, gboolean);
void ui_menubar_enable_undo        (UI_Menubar *, gboolean);
void ui_menubar_enable_redo        (UI_Menubar *, gboolean);
void ui_menubar_enable_account_ops (UI_Menubar *, gboolean);
void ui_menubar_enable_record_ops  (UI_Menubar *, gboolean);

#endif
